# Copyright 2003 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


def debtCalc(client_table, genericDataSource):
  import hack
  
  # Calculo del total facturado
  productInvoiceResultSet = genericDataSource.createRawResultSet("SELECT sum((od.net_total + od.tax_total) * CASE dt.sign WHEN true THEN -1 ELSE 1 END) as amount FROM _entity_data e, own_document od, _document_type_data dt WHERE e._table = "+client_table+" AND od.own_document_type = dt.id AND e.id = od.recipient AND (od.own_document_type = '4' OR od.own_document_type = '8' OR od.own_document_type = '9' OR od.own_document_type = '30' OR od.own_document_type = '31' OR od.own_document_type = '32' OR od.own_document_type = '14' OR od.own_document_type = '15' OR od.own_document_type = '16') AND (od.is_void IS NULL OR NOT od.is_void)")

  more = productInvoiceResultSet.firstRecord()
  if more:
    spentTotal = hack.a2f(productInvoiceResultSet.current.getField("amount"),4)
  else:
    spentTotal = 0

  # Calculo del total cobrado
  paidResultSet = genericDataSource.createRawResultSet("SELECT sum(odp.amount * CASE dt.sign WHEN true THEN -1 ELSE 1 END) as amount FROM _entity_data e, own_document od, own_document_proceeding odp, _document_type_data dt WHERE e._table = "+client_table+" AND e.id = od.recipient AND od.own_document_type = dt.id AND od.id = odp.own_document AND (od.own_document_type = '4' OR od.own_document_type = '8' OR od.own_document_type = '9' OR od.own_document_type = '30' OR od.own_document_type = '31' OR od.own_document_type = '32' OR od.own_document_type = '14' OR od.own_document_type = '15' OR od.own_document_type = '16') AND (od.is_void IS NULL OR NOT od.is_void)")

  more = paidResultSet.firstRecord()
  if more:
    payTotal = hack.a2f(paidResultSet.current.getField("amount"),4)
  else:
    payTotal = 0

  deudaTotal = round(spentTotal - payTotal,4)
  return deudaTotal
