# Copyright 2003 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Copyright 2003 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""
  algoritmo de validacion del CUIL/CUIT
"""
import re

def validate (cuit):
  # puede venir con o sin 'dashes'
  if not cuit or cuit=='':
    return 1
  matcher= re.compile ('(\d\d)\-(\d\d\d\d\d\d\d\d)\-(\d)')
  matches= matcher.match (cuit)
  if matches:
    cuit= "%s%s%s" % (matches.group (1), matches.group (2), matches.group (3))
  else:
    return 0

  # once unified, validate
  magic= '5432765432'
  # first 10 digits
  data= cuit[:10]
  # I *love* functional languages :)
  try:
    check= 11 - (reduce (lambda x, y: x+y, map (lambda x, y: int(x)*int(y), data, magic)) % 11)
    if check==10:
      check= 9
    elif check==11:
      check= 0
  
    return check==int(cuit[10])
  # just in case they entered letters or the like
  except TypeError:
    return 0
