# Copyright 2003 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import informe
import time, sys
    
x = informe.new("Reporte.xml")
x.page_header(fecha=time.asctime())

x.ingresos.item.add_row(concepto="Venta de contado",
                        cash="1",
                        cheque="10",
                        otros="100",
                        total="111",
                        )
x.ingresos.item.add_row(concepto="Cobranza Cartera activa",
                        cash="10",
                        cheque="100",
                        otros="1000",
                        total="1110",
                        )
x.ingresos.item.add_row(concepto="Cobranza Morosos",
                        cash="0",
                        cheque="10",
                        otros="2500",
                        total="2510",
                        )
x.ingresos.item.add_row(concepto="Ventas Inusuales",
                        cash="0",
                        cheque="100000",
                        otros="0",
                        total="100000",
                        )
x.ingresos.item.add_row(concepto="Extraccin Banco",
                        cash="100000",
                        cheque="0",
                        otros="0",
                        total="100000",
                        )
x.ingresos.footer(cash="23",
                  cheque = "1234",
                  otros = "124",
                  total = "12344")

x.egresos.item.add_row(concepto="Pagos proveedores",
                       cash="0",
                       cheque="0",
                       otros="0",
                       total="0",
                       )
x.egresos.item.add_row(concepto="Compra insumos",
                       cash="0",
                       cheque="0",
                       otros="0",
                       total="0",
                       )
x.egresos.item.add_row(concepto="Otros",
                       cash="0",
                       cheque="0",
                       otros="0",
                       total="0",
                       )
x.egresos.item.add_row(concepto="Adelantos y retiros",
                       cash="0",
                       cheque="0",
                       otros="0",
                       total="0",
                       )
x.egresos.item.add_row(concepto="Depsito de valores",
                       cash="0",
                       cheque="0",
                       otros="0",
                       total="0",
                       )
x.egresos.item.add_row(concepto="Banco YYY",
                       cash="0",
                       cheque="0",
                       otros="0",
                       total="0",
                       )
x.egresos.item.add_row(concepto="Banco XXX",
                       cash="0",
                       cheque="0",
                       otros="0",
                       total="0",
                       )


x.egresos.footer(cash="23",
                 cheque = "1234",
                 otros = "124",
                 total = "12344")
x.footer(cash="23",
         cheque = "1234",
         otros = "124",
         total = "12344")

print x.render()
