-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

-- actualiza _document_type_data para tratar de ser ms consistente en
-- los cdigos y nombres

BEGIN;
UPDATE _document_type_data SET code='FCAe', name='Factura A de proveedor' WHERE id=2;
UPDATE _document_type_data SET code='RCXi', name='Recibo' WHERE id=3;
UPDATE _document_type_data SET code='FCAi', name='Factura A' WHERE id=4;
UPDATE _document_type_data SET code='OPXi', name='Orden de pago' WHERE id=6;
UPDATE _document_type_data SET code='ASXi', name='Ajuste de stock' WHERE id=7;
UPDATE _document_type_data SET code='FCBi', name='Factura B' WHERE id=8;
UPDATE _document_type_data SET code='FCCi', name='Factura C' WHERE id=9;
UPDATE _document_type_data SET code='FCBe', name='Factura B de proveedor' WHERE id=10;
UPDATE _document_type_data SET code='FCCe', name='Factura C de proveedor' WHERE id=11;
UPDATE _document_type_data SET code='PPXi', name='Presupuesto' WHERE id=12;
UPDATE _document_type_data SET code='RMXi', name='Remito X' WHERE id=13;
UPDATE _document_type_data SET code='NCAi', name='Nota de Crdito A' WHERE id=14;
UPDATE _document_type_data SET code='NCBi', name='Nota de Crdito B' WHERE id=15;
UPDATE _document_type_data SET code='NCCi', name='Nota de Crdito C' WHERE id=16;
UPDATE _document_type_data SET code='RMXe', name='Remito X de proveedor' WHERE id=17;
UPDATE _document_type_data SET code='NCAe', name='Nota de Crdito A de proveedor' WHERE id=18;
UPDATE _document_type_data SET code='NCBe', name='Nota de Crdito B de proveedor' WHERE id=19;
UPDATE _document_type_data SET code='NCCe', name='Nota de Crdito C de proveedor' WHERE id=20;
UPDATE _document_type_data SET code='DMXi', name='Devolucin de mercadera' WHERE id=21;
UPDATE _document_type_data SET code='RTVi', name='Retencin IVA' WHERE id=22;
UPDATE _document_type_data SET code='RTVe', name='Retencin IVA sufrida' WHERE id=23;
UPDATE _document_type_data SET code='RTGi', name='Retencin Ganancias' WHERE id=24;
UPDATE _document_type_data SET code='RTGe', name='Retencin Ganancias sufrida' WHERE id=25;
UPDATE _document_type_data SET code='RTBi', name='Retencin Ingresos Brutos' WHERE id=26;
UPDATE _document_type_data SET code='RTBe', name='Retencin Ingresos Brutos sufrida' WHERE id=27;

INSERT INTO document_type (id) VALUES (28);
INSERT INTO _document_type_data (id, _table, code, name, sign) VALUES (28, 28, 'RMRi', 'Remito R', true);
INSERT INTO document_type (id) VALUES (29);
INSERT INTO _document_type_data (id, _table, code, name, sign) VALUES (29, 29, 'RMRe', 'Remito R de proveedor', false);

UPDATE _document_type_data SET _start_t='1970/1/1 00:00:00 UTC';
COMMIT;
