-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

BEGIN;
--doy de alta a entity
CREATE TABLE _fisco_data (
    persona int,
    _start_t timestamp DEFAULT '1970/1/1 00:00:00 UTC' NOT NULL,
    _end_t timestamp,
    _table int NOT NULL,
    _state int DEFAULT -1 NOT NULL,
    id bigserial NOT NULL,
    PRIMARY KEY (id)
);

CREATE INDEX fisco_persona_idx ON _fisco_data(persona);

CREATE TABLE fisco (
    id serial NOT NULL,
    PRIMARY KEY (id)
);

ALTER TABLE _fisco_data
    ADD FOREIGN KEY (persona) REFERENCES persona
    ON DELETE RESTRICT ON UPDATE RESTRICT;
ALTER TABLE _fisco_data
    ADD FOREIGN KEY (_table) REFERENCES fisco
    ON DELETE RESTRICT ON UPDATE RESTRICT;
ALTER TABLE _fisco_data
    ADD FOREIGN KEY (_state) REFERENCES __state__
    ON DELETE RESTRICT ON UPDATE RESTRICT;

--cargo entity type
INSERT INTO entity_type VALUES (16);
INSERT INTO _entity_type_data ("_start_t","_end_t","name","parent",_table) VALUES (current_timestamp,NULL,'fisco',3,16);
INSERT INTO entity_type_uid_conf ("entity_type","entity_uid_type") VALUES (16,3);
COMMIT;
