<html>
<head><title>XML-RPC Backery testing for GNUE</title></head>
<body>
<H1>XML-RPC Backery testing for GNUE</H1>
<?php
/*
XMLRPC can be downloaded at: http://phpxmlrpc.sourceforge.net/
But will replaced with a version under the GPL a (ez-xmlrpc) soon
*/
include("xmlrpc.inc");
$c=new xmlrpc_client("/", "localhost", 8765);
$c->setDebug(0);  # set to 1 for debbugging output

function callandprintresult($func,$param) {
    global $c;
    print "<H2>Calling $func</H2>";
    $f=new xmlrpcmsg($func,$param);
    $r=$c->send($f);
    if (!$r) { die("<H1>send failed</H1>"); }
    $v=$r->value();
    if (!$r->faultCode()) {
        print "RESULT:";
        if ($v->kindof()=="struct") {
            while (list($key,$value)=$v->structeach()) {          
                print "<BR>    ".$key." -> ".$value;
            } 
        } else { 
            if ($v->kindof()=="array") {
                for ($i=0;$i<$v->arraysize();$i++) {
                    $q=$v->arraymem($i);            
                    print "<BR>    ".$q->scalarval();
                }
            } else {
                print $v->scalarval();
            }
        }
        return($v);
    } else {
        print "Fault: ";
        print "Code: " . $r->faultCode() . 
            " Reason '" .$r->faultString()."'<BR>";
    }
}

// $param=array(new xmlrpcval("sugar", "string"));
callandprintresult('system.listMethods',"");
callandprintresult('DonutPlace.Management.Status',"");
$param=array(new xmlrpcval("sugar", "string"));
$o=callandprintresult('DonutPlace.Bakery.getBakingUnit',$param);
if ($o->kindof()=="struct") {
    while (list($key,$value)=$v->structeach()) {          
        print "<BR>    ".$key." -> ".$value;
        if ($key=='_refID') {
            $handle=$value;
        }
    } 
} else {
    $handle=$o->scalarval();
}
callandprintresult('['.$handle.'].get_flavor',"");
$param=array(new xmlrpcval("super glazed and dipped in marmelade", "string"));
$o=callandprintresult('DonutPlace.Bakery.getBakingUnit',$param);
if ($o->kindof()=="struct") {
    while (list($key,$value)=$v->structeach()) {          
        print "<BR>    ".$key." -> ".$value;
        if ($key=='_refID') {
            $handle=$value;
        }
    } 
} else {
    $handle=$o->scalarval();
}    
callandprintresult('['.$handle.'].get_flavor',"");    

?>
</body>
</html>

