-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

--   Crea la tabla de sistema que asocia cuentas contables con cuentas 
--   de sistema.

CREATE TABLE sys_account2account_plan (
    id serial NOT NULL,
    PRIMARY KEY (id)
);

CREATE TABLE _sys_account2account_plan_data (
    account int,
    _start_t timestamp DEFAULT '1970/1/1 00:00:00 UTC' NOT NULL,
    _end_t timestamp,
    _table int NOT NULL,
    id bigserial NOT NULL,
    name varchar(40) NOT NULL,
    code varchar(40),
    PRIMARY KEY (id)
);
CREATE INDEX account_plan_account_idx ON _sys_account2account_plan_data(account);

