-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

BEGIN;
CREATE FUNCTION f () RETURNS boolean AS '
DECLARE
  i RECORD;
BEGIN
  FOR i IN SELECT relname FROM pg_class WHERE relkind = \'r\' AND relname LIKE \'_%_data\' LOOP
    EXECUTE \'UPDATE \' || i.relname || \' SET _start_t=\\\'1970/1/1 00:00:00 UTC\\\' WHERE _start_t IS NULL\';
  END LOOP;
  RETURN true;
END;
' LANGUAGE 'plpgsql';
SELECT f();
DROP FUNCTION f();
COMMIT;
