-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

BEGIN;
CREATE UNIQUE INDEX account_plan_code_unique_idx ON _account_plan_data(code) WHERE _end_t is null;
CREATE UNIQUE INDEX own_pos_number_unique_idx ON _own_pos_data(number) WHERE _end_t is null;
CREATE UNIQUE INDEX own_branch_number_unique_idx ON _own_branch_data(number) WHERE _end_t is null;
CREATE UNIQUE INDEX product_code_unique_idx ON _product_code_data(code, product_code_type) WHERE _end_t is null;
CREATE UNIQUE INDEX own_document_number_unique_idx ON own_document(number, own_document_type, own_entity);
CREATE UNIQUE INDEX currency_type_name_unique_idx ON _currency_type_data(name) WHERE _end_t is null;
CREATE UNIQUE INDEX alien_document_number_unique_idx ON alien_document(number, sender, alien_document_type);
COMMIT;

